/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.ca.eja.jsf2test.backing;

import com.ca.eja.jsf2test.entity.JPAEntity;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.inject.Named;
import javax.enterprise.context.SessionScoped;
import javax.validation.constraints.Size;

/**
 *
 * @author aubrech
 */
@Named(value="myBean")
@SessionScoped
public class MyBean implements Serializable {

    private JPAEntity editedEntity = new JPAEntity(Long.valueOf(0),"");

    private List<JPAEntity> retlist = new ArrayList<JPAEntity>();
    {
        retlist.add(new JPAEntity(Long.valueOf(0), "abc"));
        retlist.add(new JPAEntity(Long.valueOf(1), "def"));
        retlist.add(new JPAEntity(Long.valueOf(2), "ghi"));
    }

    @Size(min=2)
    private String validatedField = "abc";
    private String target;

    /** Creates a new instance of MyBean */
    public MyBean() {
    }

    public List<JPAEntity> getList() {
        return retlist;
    }

    public String createNew() {
        retlist.add(editedEntity);
        editedEntity = new JPAEntity(Long.valueOf(0), "");
        return null;
    }

    public String testValidation() {
        return null;
    }

    public String testNavigation1(String target) {
        this.setTarget(target);
        return "target.xhtml";
    }

    public String testNavigation2(String target) {
        this.setTarget(target);
        return "target";
    }

    /**
     * @return the editedEntity
     */
    public JPAEntity getEditedEntity() {
        return editedEntity;
    }

    /**
     * @param editedEntity the editedEntity to set
     */
    public void setEditedEntity(JPAEntity editedEntity) {
        this.editedEntity = editedEntity;
    }

    /**
     * @return the validatedField
     */
    public String getValidatedField() {
        return validatedField;
    }

    /**
     * @param validatedField the validatedField to set
     */
    public void setValidatedField(String validatedField) {
        this.validatedField = validatedField;
    }

    /**
     * @return the target
     */
    public String getTarget() {
        return target;
    }

    /**
     * @param target the target to set
     */
    public void setTarget(String target) {
        this.target = target;
    }


}
